Name:		gssntlmssp
Version:	1.3.1
Release:	%mkrel 1
Summary:	GSSAPI NTLMSSP Mechanism
Group:		System/Libraries
License:	LGPLv3+
URL:		https://github.com/gssapi/gss-ntlmssp
Source0:	https://github.com/gssapi/gss-ntlmssp/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	m4
BuildRequires:	xsltproc
BuildRequires:	libxml2
BuildRequires:	docbook-style-xsl
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(krb5) >= 1.11.2
BuildRequires:	pkgconfig(gssrpc)
BuildRequires:	unistring-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(wbclient)

%description
A GSSAPI Mechanism that implements NTLMSSP.

%package	devel
Summary:	Development header for GSSAPI NTLMSSP
Group:		Development/C++

%description	devel
Adds a header file with definition for custom GSSAPI extensions
for NTLMSSP.


%prep
%autosetup -p1

%build
autoreconf -fiv
%configure \
    --with-wbclient \
    --disable-static \
    --disable-rpath

%make_build all

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

mkdir -p %{buildroot}%{_sysconfdir}/gss/mech.d
install -pm644 examples/mech.ntlmssp %{buildroot}%{_sysconfdir}/gss/mech.d/ntlmssp.conf

%check
make test_gssntlmssp

%files -f %{name}.lang
%doc COPYING
%config(noreplace) %{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{_libdir}/gssntlmssp/
%{_mandir}/man8/gssntlmssp.8*

%files devel
%{_includedir}/gssapi/gssapi_ntlmssp.h


%changelog
* Fri Mar 01 2024 daviddavid <daviddavid> 1.3.1-1.mga10
+ Revision: 2046215
- new version: 1.3.1

* Thu Feb 16 2023 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1942865
- new version: 1.2.0

* Thu Jan 12 2023 daviddavid <daviddavid> 1.1.0-3.mga9
+ Revision: 1932567
- rebuild for armv7

* Thu Jan 12 2023 daviddavid <daviddavid> 1.1.0-2.mga9
+ Revision: 1932552
- rebuild for new libunistring 1.1

* Sun Sep 11 2022 neoclust <neoclust> 1.1.0-1.mga9
+ Revision: 1886969
- New version 	1.1.0

* Tue Mar 29 2022 umeabot <umeabot> 1.0.0-3.mga9
+ Revision: 1833097
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.0.0-2.mga9
+ Revision: 1747566
- rebuild for openssl 3.0.0

* Wed Mar 17 2021 daviddavid <daviddavid> 1.0.0-1.mga9
+ Revision: 1704009
- new version: 1.0.0
- update project and source URLs

* Thu Apr 30 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1573417
- new version: 0.9.0

* Sun Apr 26 2020 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1572189
- new version: 0.8.0
- remove merged upstream patch

* Fri Feb 14 2020 umeabot <umeabot> 0.7.0-2.mga8
+ Revision: 1520237
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 11 2018 daviddavid <daviddavid> 0.7.0-1.mga7
+ Revision: 1329454
- initial package gssntlmssp

